;
(function(win) {
    var APP = win.APP = win.APP || {};
    var method = APP.method = APP.method || {};

    method.enableConsole = function(state) {
        enabled = state;
        APP.data.consoleEnable = state;
        document.getElementById('slider').className = state ? 'enabled' : 'disabled';
    }

    method.isConsoleEnabled = function() {
        return APP.data.consoleEnable;
    }

    method.popup = function(url) {
        if (url.param) {
            url = APP.IGTbridge.launchParameters[url.param]
        }
        var win = window.open(url, '_blank');
        win.focus();
    }

    method.navigate = function(url) {
        if (url.param) {
            url = APP.IGTbridge.launchParameters[url.param]
        }
        APP.IGTbridge.console.navigate(url);

    }

})(window);